Package org.apache.activemq.artemis.selector.filter

## Class PropertyExpression

- java.lang.Object
- - org.apache.activemq.artemis.selector.filter.PropertyExpression

- All Implemented Interfaces:
    `Expression`

      public class PropertyExpression
      extends java.lang.Object
      implements Expression

  Represents a property expression
  Version:
    $Revision: 1.5 $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyExpression​(java.lang.String name)` |
    `PropertyExpression​(org.apache.activemq.artemis.api.core.SimpleString name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.Object` | `evaluate​(Filterable message)` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyExpression

          public PropertyExpression​(java.lang.String name)

    - #### PropertyExpression

          public PropertyExpression​(org.apache.activemq.artemis.api.core.SimpleString name)

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate​(Filterable message)
                                    throws FilterException

      Specified by:
        `evaluate` in interface `Expression`
      Returns:
        the value of this expression
      Throws:
        `FilterException`

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`